# The name of your app.
# NOTICE: name defined in TARGET has a corresponding QML filename.
#         If name defined in TARGET is changed, following needs to be
#         done to match new name:
#         - corresponding QML filename must be changed
#         - desktop icon filename must be changed
#         - desktop filename must be changed
#         - icon definition filename in desktop file must be changed
TARGET = EasyTouristV5

CONFIG += sailfishapp

SOURCES += src/EasyTouristV5.cpp

OTHER_FILES += qml/EasyTouristV5.qml \
    qml/cover/CoverPage.qml \
    rpm/EasyTouristV5.spec \
    rpm/EasyTouristV5.yaml \
    EasyTouristV5.desktop \
    qml/pages/JavaScriptHelper.js \
    qml/pages/WeatherPage.qml \
    qml/pages/EventsOtherDetails.qml \
    qml/pages/EventsOther.qml \
    qml/pages/EventsMusicDetails.qml \
    qml/pages/EventsMusic.qml \
    qml/pages/EventsMatchesDetails.qml \
    qml/pages/EventsMatches.qml \
    qml/pages/EventsFairsDetails.qml \
    qml/pages/EventsFairs.qml \
    qml/pages/EventsExhibitionsDetails.qml \
    qml/pages/EventsExhibitions.qml \
    qml/pages/EventsCulturalDetails.qml \
    qml/pages/EventsCultural.qml \
    qml/pages/Events.qml \
    qml/pages/AttractionsSightsDetails.qml \
    qml/pages/AttractionsSights.qml \
    qml/pages/AttractionsMuseumsDetails.qml \
    qml/pages/AttractionsMuseums.qml \
    qml/pages/Attractions.qml \
    qml/pages/ActivitiesSportsDetails.qml \
    qml/pages/ActivitiesSports.qml \
    qml/pages/ActivitiesShoppingDetails.qml \
    qml/pages/ActivitiesShopping.qml \
    qml/pages/ActivitiesSaunasDetails.qml \
    qml/pages/ActivitiesSaunas.qml \
    qml/pages/ActivitiesNightlifeDetails.qml \
    qml/pages/ActivitiesNightlife.qml \
    qml/pages/ActivitiesMeetingPointsDetails.qml \
    qml/pages/ActivitiesMeetingPoints.qml \
    qml/pages/ActivitiesFoodAndDrinksDetails.qml \
    qml/pages/ActivitiesFoodAndDrinks.qml \
    qml/pages/Activities.qml \
    qml/pages/AccomodationsDetails.qml \
    qml/pages/Accomodations.qml \
    qml/pages/MapType.qml \
    qml/pages/Blogs.qml \
    qml/pages/TransportationBusRoutes.qml \
    qml/pages/TransportationBusRoutesDetails.qml

RESOURCES += \
    qml/pages/imageresources.qrc

