
import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0



Page
{
    id:page
    property string busId
    property string timetableUrl
    XmlListModel {
        id: museums
        source: "http://api.reittiopas.fi/hsl/prod/?request=lines&user=vladcristea01&pass=apipassword&format=xml&query=2052%201|Helsinki"
        query: "/response/node[compare(child::code,\""+ busId +"\")=0]/line_stops/node"

      XmlRole {
            name: "title"
            query: "name/string()"
        }
}
    Button{
        text: "View Timetable"
        onClicked:  Qt.openUrlExternally(timetableUrl)
    }
        SilicaListView {

            anchors.fill: parent
            spacing: Theme.paddingLarge
            header: PageHeader {
                       title: "Bus Stations"
                   }
            VerticalScrollDecorator {}

            model: museums
            delegate: BackgroundItem {
                       id: delegate

                       Column {
                           Label {
                               text: model.title
                               x: Theme.paddingLarge
                           }

                       }

                   }

        }


    }




