import QtQuick 2.0
import Sailfish.Silica 1.0


Page
{
    id:page

    SilicaListView {
        anchors.fill: parent
        contentHeight: column.height + Theme.paddingLarge
        spacing: Theme.paddingLarge

        header: PageHeader {
                   title: "Activities"
               }
         VerticalScrollDecorator {}

        model: ListModel {
            ListElement {
                submenu: "Food and Drinks"
                urlLink: "ActivitiesFoodAndDrinks.qml" }
            ListElement {
                submenu: "Meeting Points"
                urlLink: "ActivitiesMeetingPoints.qml" }
            ListElement {
                submenu: "Nightlife"
                urlLink: "ActivitiesNightlife.qml" }
            ListElement {
                submenu: "Saunas"
                urlLink: "ActivitiesSaunas.qml" }
            ListElement {
                submenu: "Shopping"
                urlLink: "ActivitiesShopping.qml" }
            ListElement {
                submenu: "Sports"
                urlLink: "ActivitiesSports.qml" }

        }
        delegate: BackgroundItem {
            width: ListView.view.width
            height: Theme.itemSizeSmall
            Label { text: submenu }
            onClicked: pageStack.push(Qt.resolvedUrl(urlLink))
        }
    }

}


