import QtQuick 2.0
import Sailfish.Silica 1.0


Page
{
    id:page

        SilicaListView {
            anchors.fill: parent
            contentHeight: column.height + Theme.paddingLarge
            spacing: Theme.paddingLarge
            VerticalScrollDecorator {}
            header: PageHeader {
                       title: "Attractions"
                   }
            model: ListModel {
                ListElement {
                    submenu: "Museums"
                    urlLink: "AttractionsMuseums.qml" }
                ListElement {
                    submenu: "Sights"
                   urlLink: "AttractionsSights.qml" }

            }
            delegate: BackgroundItem {
                width: ListView.view.width
                height: Theme.itemSizeSmall
                Label { text: submenu }
                onClicked: pageStack.push(Qt.resolvedUrl(urlLink))
            }
        }
    }



